- if ::Gitlab::CurrentSettings.custom_project_templates_enabled?
  %section.settings.as-custom-project-templates.no-animate#js-custom-project-templates-settings{ class: ('expanded' if expanded), data: { qa_selector: 'custom_project_template_container' } }
    .settings-header
      %h4.settings-title.js-settings-toggle.js-settings-toggle-trigger-only
        = _('Custom project templates')
      = render Pajamas::ButtonComponent.new(button_options: { class: 'js-settings-toggle' }) do
        = expanded ? _('Collapse') : _('Expand')
      %p
        = s_('AdminSettings|Select a group to use as the source for instance-level project templates.')
    .settings-content

      = gitlab_ui_form_for @application_setting, url: templates_admin_application_settings_path(anchor: 'js-custom-project-templates-settings') do |f|
        = form_errors(@application_setting)

        %fieldset
          .form-group

            = f.label :file_template_project_id, class: 'label-bold' do
              .form-text
                = _('Select group')
            = groups_select_tag('application_setting[custom_project_templates_group_id]', selected: @application_setting.custom_project_templates_group_id, class: 'input-clamp allowClear', multiple: false)
            - link_start = '<a href="%{url}">'.html_safe % { url: help_page_path('user/admin_area/custom_project_templates.md') }
            = s_("AdminSettings|The projects in this group can be selected as templates for new projects created on the instance. %{link_start}Learn more.%{link_end} ").html_safe % { link_start: link_start, link_end: "</a>".html_safe }

        = f.submit _('Save changes'), pajamas_button: true, class: "qa-save-changes-button"
